package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLSyncMetaStatement extends SQLStatementImpl {
   private Boolean restrict;
   private Boolean ignore;
   private SQLName from;
   private SQLExpr like;

   protected void accept0(SQLASTVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.from);
         this.acceptChild(v, this.like);
      }

      v.endVisit(this);
   }

   public Boolean getRestrict() {
      return this.restrict;
   }

   public void setRestrict(Boolean restrict) {
      this.restrict = restrict;
   }

   public Boolean getIgnore() {
      return this.ignore;
   }

   public void setIgnore(Boolean ignore) {
      this.ignore = ignore;
   }

   public SQLName getFrom() {
      return this.from;
   }

   public void setFrom(SQLName from) {
      this.from = from;
   }

   public SQLExpr getLike() {
      return this.like;
   }

   public void setLike(SQLExpr like) {
      this.like = like;
   }
}
